/* component styles */
.hide {
  display: none;
}

.dropdown-content {
  display: none;
  position: absolute;
  border-top: rgba(0, 0, 0, 0.05) 1px solid;
  background: #ffffff;
  box-shadow: 0 5px 8px rgba(0, 0, 0, 0.15);
}

.dropdown--active .dropdown-content {
    display: block;
}

.dropdown-content {
  padding: 10px;
  overflow: auto;
  z-index: 1;
}

.dropdown-content ul {
  margin: 0;
  padding: 0;
}

.dropdown-trigger {
  /* border: 1px solid rgb(185,185,185); */
  border-radius: 1px;
  padding: 4px;
  line-height: 1.5;
  display: inline-block;
  height: 32px;
  max-height: 800px;
  overflow : hidden;
}

.react-dropdown-tree-select.input-group{

  height: 36px;
}

.form-group > div > .react-dropdown-tree-select button{
  line-height: normal;
  top: 0;
  right: 0;
  height: 16px;
  width: 16px;
}
/*.form-group > div > .react-dropdown-tree-select button::before{*/
/*  display: none*/
/*}*/

.dropdown-trigger .more + span:after {
  visibility: visible; 
}

.dropdown-trigger > span:after {
  content: '......';
  cursor: pointer;
  margin: 0 0 0 -10px;
  position: relative;
  /* visibility: hidden; */
  display: table-cell;
  float: right;
  background : beige;
}

.dropdown-trigger input {
  border: none;
  outline: none;
  padding-right: 12px;
}


.dropdown--active .dropdown-trigger ul >.inputClass{
  display: none
}

.dropdown-trigger ul >.inputClass{
  display: inline
}

.dropdown--active .dropdown-trigger ul >input{
  display:inline 
}


.dropdown-trigger ul >input{
  /* display:none  */
}

.dropdown__content .bootstrap-switch {
  float: right;
}


.suspended .node-label {
  font-style: italic;
  text-decoration: line-through;
}



.dropdown-content {
  max-height: 400px;
}


/* mdl-demo is a custom classname to increases the specificity of our styles. It can be anything. 
 * The idea is that it is easy to extend/override builtin styles with very little effort.
 */

.mdl-demo .dropdown-trigger>span:after {
  font-size: 10px;
  color: #555;
}

.mdl-demo .toggle {
  font: normal normal normal 18px/1 'Material Icons';
  color: #555;
  white-space: pre;
  margin-right: 4px;
}

.mdl-demo .toggle.collapsed::after {
  cursor: pointer;
  /* content: "+"; */
  vertical-align: middle;
}

.mdl-demo .toggle.expanded::after {
  cursor: pointer;
  /* content: "-"; */
  vertical-align: middle;
}

/* checkbox styles */
.mdl-demo .checkbox-item {
  position: relative;
  width: 1rem;
  height: 1rem;
  margin-right: .75rem;
  cursor: pointer;
  -webkit-appearance: none;
  -moz-appearance: none;
  /* appearance: none; */
  outline: 0;
  vertical-align: middle;
}

.mdl-demo .checkbox-item:before {
  content: '';
  position: absolute;
  left: 0;
  top: 0;
  z-index: 1;
  width: 100%;
  height: 100%;
  border: 2px solid #aaa;
  transition: all 0.3s ease-in-out;
}

.mdl-demo .checkbox-item:checked:before {
  height: 50%;
  -webkit-transform: rotate(-45deg);
  transform: rotate(-45deg);
  border-top-style: none;
  border-right-style: none;
  border-color: #2196f3;
}





/*vera-react-dropdown-tree-select*/
.react-dropdown-tree-select .dropdown-trigger>span:after {
    font-size: 10px;
    color: #555;
}
.react-dropdown-tree-select  .toggle {
    font: normal normal normal 18px/1 'Material Icons';
    color: #555;
    white-space: pre;
    margin-right: 2px;
    height: 18px;
    width: 18px;
}
.react-dropdown-tree-select  .toggle.collapsed::after {
    cursor: pointer;
    /* content: "+"; */
    vertical-align: middle;
}
.react-dropdown-tree-select  .toggle.expanded::after {
    cursor: pointer;
    /* content: "-"; */
    vertical-align: middle;
}
/* checkbox styles */
.react-dropdown-tree-select  .checkbox-item {
    position: relative;
    width: 1rem;
    height: 1rem;
    margin-right: .5rem;
    cursor: pointer;
    -webkit-appearance: none;
    -moz-appearance: none;
    /* appearance: none; */
    outline: 0;
    vertical-align: middle;
}
.react-dropdown-tree-select  .checkbox-item:before {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    z-index: 1;
    width: 100%;
    height: 100%;
    border: 2px solid #aaa;
    /* transition: all 0.3s ease-in-out; */
}
.react-dropdown-tree-select  .checkbox-item:checked{
    background-color: #13d199;
    border-radius: 2px;
}
.react-dropdown-tree-select  .checkbox-item:checked:before {
    height: 50%;
    -webkit-transform: rotate(-45deg) scale(.8);
    transform: rotate(-45deg) scale(.8);
    border-top-style: none;
    border-right-style: none;
    border-color: #fff;
    top: 2px;
}
/*switch begin*/
.bootstrap-switch,
.bootstrap-switch .bootstrap-switch-label{
    border-radius: 24px;
}
.react-dropdown-tree-select .bootstrap-switch-focused{
    box-shadow: none!important;
}
.react-dropdown-tree-select .bootstrap-switch.bootstrap-switch-wrapper.bootstrap-switch-on .bootstrap-switch-container{
    background: #13d199;
}
.react-dropdown-tree-select .bootstrap-switch.bootstrap-switch-wrapper.bootstrap-switch-off .bootstrap-switch-container{
    background: rgb(238, 238, 238);
}
.react-dropdown-tree-select .bootstrap-switch.bootstrap-switch-wrapper.bootstrap-switch-off {
    border-color: #ccc;
}
.react-dropdown-tree-select .bootstrap-switch.bootstrap-switch-wrapper.bootstrap-switch-on {
    border-color: #13d199;
}
.react-dropdown-tree-select .bootstrap-switch .bootstrap-switch-handle-on.bootstrap-switch-primary,
.react-dropdown-tree-select .bootstrap-switch .bootstrap-switch-handle-off.bootstrap-switch-primary{
    background: #13d199;
}
.react-dropdown-tree-select .bootstrap-switch.bootstrap-switch-mini .bootstrap-switch-handle-on,
.react-dropdown-tree-select .bootstrap-switch.bootstrap-switch-mini .bootstrap-switch-handle-off,
.react-dropdown-tree-select .bootstrap-switch.bootstrap-switch-mini .bootstrap-switch-label{
    line-height: 24px;
}
/*switch end*/
/*vera-react-dropdown-tree-select*/